/* Définiton locale au à l'instruction for       */
/* de la variable compteur                       */

public class ExempleCompteurLocalFor {

///////////////////////////////////////////////////
  
  /* Fonction d'affichage avec utilisation       */
  /* de variables compteurs globales             */
  /* à la fonction                               */
  
  static void affichage1() {
    int i;
    int j;
    for ( i = 0 ; i < 3 ; i = i+1 ) {
      for ( j = 0 ; j < 10 ; j = j+1 ) {
        Ecran.formater("%3d",i+j); }
      Ecran.sautDeLigne(); } 
  }
  
  /* Fonction d'affichage avec utilisation       */
  /* de variables compteurs locales aux for      */
  
  static void affichage2() {
    for ( int i = 0 ; i < 3 ; i = i+1 ) {
      for ( int j = 0 ; j < 10 ; j = j+1 ) {
        Ecran.formater("%3d",i+j); }
      Ecran.sautDeLigne(); } 
  }
  
  /* Programme principal                         */

  public static void main(String [] args) {
    affichage1();
    Ecran.sautDeLigne();
    affichage2();
  }

///////////////////////////////////////////////////
}